/*
  Timer simple

  this example shows how to use a simple timer

  it will let a LED blink for 3 seconds and pause for 3 seconds
  
  by noiasca
  2022-01-17 2476/230
*/

#include <Noiasca_timer.h>

// here you create your timer object
MiniTimer miniTimerA {2000};
MiniTimer miniTimerB {1000};

void setup() {
  Serial.begin(115200);
  Serial.println(F("\nStart"));
  miniTimerA.start();
}

void loop() {
  if (miniTimerA.hasTriggered()) {     // if the defined time is over, the timer will execude the followin lines
    Serial.println(F("timerA has triggered"));
    miniTimerA.stop();
    miniTimerB.start(); 
  }
  if (miniTimerB.hasTriggered()) {     // if the defined time is over, the timer will execude the followin lines
    Serial.println(F("timerB has triggered"));
    miniTimerB.stop();
    miniTimerA.start(); 
  }
}
